import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
// CSS重置的现代替代方法
import 'normalize.css/normalize.css'
import 'element-ui/lib/theme-chalk/index.css'
import '@/styles/index.scss' // 全局css
// 第三方插件
import ElementUI from 'element-ui'

import './icons' // icon
import './utils/vab'
import echarts from 'echarts' // 引入echarts
import {
  $api
} from './api/api-config' // 接口配置

//过滤器
import filters from './utils/filters'
for (const k in filters) {
  Vue.filter(k, filters[k]);
}
Vue.prototype.$api = $api
import './permission' // 权限控制
Vue.prototype.$echarts = echarts
Vue.use(ElementUI)
Vue.config.productionTip = false
new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
